Bug 536430 - (RHQ-780) upgrade to latest JSF RI (1.2_12)
upgrade to latest JSF RI (1.2_12)
Product: RHQ Project
Classification: Other
Component: Build System (Show other bugs)
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
: Task
Depends On:
  Show dependency treegraph
Reported: 2008-09-02 17:10 EDT by Ian Springer
Modified: 2013-08-05 20:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2008-09-02 17:10:00 EDT
We are currently using version 1.2_06. The latest version is 1.2_12. There have been quite a few bug fixes in the 07/08/09/10/11/12 releases. I think it makes sense to upgrade to pull in these bug fixes and prevent time wasted battling UI bugs that are actually due to bugs in the JSF impl.
Comment 1 Joseph Marques 2008-09-02 18:12:40 EDT
agreed.  let's make this top priority for 1.2 release.  i'd like to get it done sooner rather than later, but i don't think there is enough time for regression testing in the face of other 1.1 tasks.
Comment 2 Ian Springer 2009-01-23 15:25:43 EST
(2:47:55 PM) joseph: ips, this is interesting -- https://javaserverfaces.dev.java.net/issues/show_bug.cgi?id=902
(2:48:09 PM) joseph: heiko saw some odd rendering in safari
(2:48:31 PM) joseph: not sure if this is the same, but if you have safari i'd like to see if our datatables have the proper widths after upgrade
Comment 3 Ian Springer 2009-01-28 14:59:40 EST
r2805 upgrades JSF to 1.2_12 as well as removes obsolete code from SubtabRenderer.

Comment 4 Red Hat Bugzilla 2009-11-10 16:16:45 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-780
This bug relates to RHQ-1096

Note You need to log in before you can comment on or make changes to this bug.